package approvals

import (
	// m "gitlab.com/mbugroup/lti-api.git/internal/middleware"
	"github.com/gofiber/fiber/v2"
	m "gitlab.com/mbugroup/lti-api.git/internal/middleware"
	common "gitlab.com/mbugroup/lti-api.git/internal/common/service"
	controller "gitlab.com/mbugroup/lti-api.git/internal/modules/approvals/controllers"
	user "gitlab.com/mbugroup/lti-api.git/internal/modules/users/services"
)

func ApprovalRoutes(v1 fiber.Router, u user.UserService, s common.ApprovalService) {
	_ = u
	ctrl := controller.NewApprovalController(s)
	route := v1.Group("/approvals")
	route.Use(m.Auth(u))

	route.Get("/", ctrl.GetAll,m.RequirePermissions(m.P_ApprovalGetAll))
}
